%%% FIGURE 4 %%%
close all;
clear all;
clc;

%Figure parameters
xbin = 130;
ybin = 130;
cbarlim = 4;
ax = [-0.85, -0.15, 0.08, 0.27];
fs = 12;

%Load data for figure
load('Figure4.mat')

set(figure(4), 'Position',[1 1 900 650])

%% a)

[q c] = hist3(a_WC1,[xbin ybin]);
xlim=c{2};
ylim=c{1};

subplot(2,2,1),
h = pcolor(xlim,ylim,q);
c1=colormap();
c1(1,:)=[1 1 1];
colormap(c1), colorbar;
caxis([0, cbarlim])
set(h, 'EdgeColor', 'none');
xlabel('\fontsize{14}|Z|_{18.3MHz}')
ylabel('\fontsize{20} {\phi}\fontsize{14}Z_{18.3MHz}')
set(gca,'FontSize',12,'LineWidth', 0.8)
axis(ax)
view([90 -90])

%% b)

[q c] = hist3(b_WM,[xbin ybin]);
xlim=c{2};
ylim=c{1};

subplot(2,2,2) 
h = pcolor(xlim,ylim,q);
c1=colormap();
c1(1,:)=[1 1 1];
colormap(c1), colorbar;
caxis([0, cbarlim])
set(h, 'EdgeColor', 'none');
xlabel('\fontsize{14}|Z|_{18.3MHz}')
ylabel('\fontsize{20} {\phi}\fontsize{14}Z_{18.3MHz}')
set(gca,'FontSize',12,'LineWidth', 0.8)
axis(ax)
view([90 -90])

%% c)

[q c] = hist3(c_WC2,[xbin ybin]);
xlim=c{2};
ylim=c{1};

subplot(2,2,3) 
h = pcolor(xlim,ylim,q);
c1=colormap();
c1(1,:)=[1 1 1];
colormap(c1), colorbar;
caxis([0, cbarlim])
set(h, 'EdgeColor', 'none');
xlabel('\fontsize{14}|Z|_{18.3MHz}')
ylabel('\fontsize{20} {\phi}\fontsize{14}Z_{18.3MHz}')
set(gca,'FontSize',12,'LineWidth', 0.8)
axis(ax)
view([90 -90])

%% d)

[q c] = hist3(d_MC,[xbin ybin]);
xlim=c{2};
ylim=c{1};

subplot(2,2,4)
h = pcolor(xlim,ylim,q);
c1=colormap();
c1(1,:)=[1 1 1];
colormap(c1), colorbar;
caxis([0, cbarlim])
set(h, 'EdgeColor', 'none');
xlabel('\fontsize{14}|Z|_{18.3MHz}')
ylabel('\fontsize{20} {\phi}\fontsize{14}Z_{18.3MHz}')
set(gca,'FontSize',12,'LineWidth', 0.8)
axis(ax)
view([90 -90])

print('Figure4', '-dtiff', '-r600');
