%%% FIGURE 6 %%%
clc;
close all;
clear all;

%Load data for figure
load('Figure6.mat')


%% a) and b)

%Figure parameters
ms=10;
lw = 1.25;
fs = 12;

set(figure(1), 'Position',[1 1 460 475/2])
hold on
set(gca,'fontsize',fs)
set(gca,'linewidth',lw)
errorbar(log10(f_range), meanZ2V, stdZ2V, 'r.','linewidth',lw,'markersize',ms);
errorbar(log10(f_range), meanZ2NV, stdZ2NV, 'b.','linewidth',lw,'markersize',ms);
xlabel('log_{10}(Frequency) (Hz)');
ylabel('|Z|');
title('(a)', 'FontWeight', 'bold')
box on
ax = gca;
ax.YColor = 'k';
grid on
legend('Untreated \it{C. parvum}\rm','Heat-inactivated \it{C. parvum}\rm','Location', 'southwest')
print('Figure6a','-dtiff','-r300')

set(figure(2), 'Position',[1 1 460 475/2])
hold all;
set(gca,'fontsize',fs)
set(gca,'linewidth',lw)
errorbar(log10(f_range), meanP2V, stdP2V, 'r.','linewidth',lw,'markersize',ms);
errorbar(log10(f_range), meanP2NV, stdP2NV, 'b.','linewidth',lw,'markersize',ms);
xlabel('log_{10}(Frequency) (Hz)');
ylabel('\phiZ');
title('(b)', 'FontWeight', 'bold')
box on
ax = gca;
ax.YColor = 'k';
ylim([ -0.4 0])
grid on
legend('Untreated \it{C. parvum}\rm','Heat-inactivated \it{C. parvum}\rm','Location', 'southwest')
print('Figure6b','-dtiff','-r300')

%% c)

%Figure parameters
ms = 5;
lw = 1.25;
fs = 12;

set(figure(3), 'Position',[1 1 300 340]);
scatter(HTP_250k_data(:,1), HTP_250k_data(:,2), 8, F1_250k, 'filled');
colormap('jet');
hold all;
scatter(UTP_250k_data(:,1), UTP_250k_data(:,2), 8, F2_250k,'filled');
colormap('jet');

plot(r_ellipse_HTP_250k(:,1) + X0_HTP_250k, r_ellipse_HTP_250k(:,2) + Y0_HTP_250k, 'k-', 'LineWidth',2)
plot(r_ellipse_UTP_250k(:,1) + X0_UTP_250k, r_ellipse_UTP_250k(:,2) + Y0_UTP_250k, 'r-', 'LineWidth',2)
xlims = xlim(gca);
ylims = ylim(gca);
axis([ xlims(1) xlims(2) ylims(1) ylims(2)]);
xlabel(['|Z|_{250 kHz}']);
ylabel(['\phiZ_{250 kHz}']);
title('(c)', 'FontWeight', 'bold')
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
set(gca,'fontsize',fs)
set(gca,'linewidth',lw)
box on
print('Figure6c','-dtiff','-r300')

%% d)

%Figure parameters
ms = 5;

set(figure(4), 'Position',[1 1 300 340]);
scatter(HTP_2_5M_data(:,1), HTP_2_5M_data(:,2), 8, F1_2_5M, 'filled');
colormap('jet');
hold all;
scatter(UTP_2_5M_data(:,1), UTP_2_5M_data(:,2), 8, F2_2_5M,'filled');
colormap('jet');

plot(r_ellipse_HTP_2_5M(:,1) + X0_HTP_2_5M, r_ellipse_HTP_2_5M(:,2) + Y0_HTP_2_5M, 'k-', 'LineWidth',2)
plot(r_ellipse_UTP_2_5M(:,1) + X0_UTP_2_5M, r_ellipse_UTP_2_5M(:,2) + Y0_UTP_2_5M, 'r-', 'LineWidth',2)
xlims = xlim(gca);
ylims = ylim(gca);
axis([ xlims(1) xlims(2) ylims(1) ylims(2)]);
xlabel(['|Z|_{2.5 MHz}']);
ylabel(['\phiZ_{2.5 MHz}']);
title('(d)', 'FontWeight', 'bold')
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
set(gca,'fontsize',fs)
set(gca,'linewidth',lw)
box on
print('Figure6d','-dtiff','-r300')

%% e)

%Figure parameters
ms = 5;

set(figure(5), 'Position',[1 1 380 340]);
scatter(HTP_25M_data(:,1), HTP_25M_data(:,2), 8, F1_25M, 'filled');
colormap('jet');
hold all;
scatter(UTP_25M_data(:,1), UTP_25M_data(:,2), 8, F2_25M,'filled');
colormap('jet');

plot(r_ellipse_HTP_25M(:,1) + X0_HTP_25M, r_ellipse_HTP_25M(:,2) + Y0_HTP_25M, 'k-', 'LineWidth',2)
plot(r_ellipse_UTP_25M(:,1) + X0_UTP_25M, r_ellipse_UTP_25M(:,2) + Y0_UTP_25M, 'r-', 'LineWidth',2)
xlims = xlim(gca);
ylims = ylim(gca);
axis([ xlims(1) xlims(2) ylims(1) ylims(2)]);
xlabel(['|Z|_{25 MHz}']);
ylabel(['\phiZ_{25 MHz}']);
title('(e)', 'FontWeight', 'bold')
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
set(gca,'fontsize',fs)
set(gca,'linewidth',lw)
box on
colorbar;
print('Figure6e','-dtiff','-r300')
