%%% FIGURE 7 %%%
clc;
close all;
clear all;

%Load data for figure
load('Figure7.mat')


%% a)

% Figure parameters %
ms=7;
lw = 1.25;
fs = 14;

set(figure(1), 'Position',[1 1 325 365]);
scatter(HTP_500k_data(:,1), HTP_500k_data(:,2), 8, F1_500k,'filled');
colormap('jet');
hold all;
scatter(UTP_500k_data(:,1), UTP_500k_data(:,2), 8, F2_500k,'filled');
colormap('jet');

plot(r_ellipse_HTP_500k(:,2) + Y0_HTP_500k, r_ellipse_HTP_500k(:,1) + X0_HTP_500k, 'k-', 'LineWidth', 2);
plot(r_ellipse_UTP_500k(:,2) + Y0_UTP_500k, r_ellipse_UTP_500k(:,1) + X0_UTP_500k, 'r-', 'LineWidth', 2);
ylabel(['|Z|_{500 kHz}']);
xlabel(['\phiZ_{500 kHz}']);
title('(a)', 'FontWeight', 'bold')
set(gca,'FontSize',fs)
set(gca,'linewidth',lw)
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
box on

% Spline curve %
ylims1 = ylim(gca);
xlims1 = xlim(gca);
plot(eq_prob_500k_x, eq_prob_500k_y, '-', 'color', [0 .6 0], 'linewidth',1.5);
axis([xlims1(1) xlims1(2) ylims1(1) ylims1(2)]);
view(90, -90)

print('Figure7a','-dtiff','-r300')

%% b)

% Figure parameters %
ms=7;
lw = 1.25;
fs = 14;

set(figure(2), 'Position',[1 1 325 365]);
scatter(HTP_5M_data(:,1), HTP_5M_data(:,2), 8, F1_5M,'filled');
colormap('jet');
hold all;
scatter(UTP_5M_data(:,1), UTP_5M_data(:,2), 8, F2_5M,'filled');
colormap('jet');

plot(r_ellipse_HTP_5M(:,2) + Y0_HTP_5M, r_ellipse_HTP_5M(:,1) + X0_HTP_5M, 'k-', 'LineWidth', 2);
plot(r_ellipse_UTP_5M(:,2) + Y0_UTP_5M, r_ellipse_UTP_5M(:,1) + X0_UTP_5M, 'r-', 'LineWidth', 2);
ylabel(['|Z|_{5 MHz}']);
xlabel(['\phiZ_{5 MHz}']);
title('(b)', 'FontWeight', 'bold')
set(gca,'FontSize',fs)
set(gca,'linewidth',lw)
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
box on

% Spline curve %
ylims1 = ylim(gca);
xlims1 = xlim(gca);
plot(eq_prob_5M_x, eq_prob_5M_y, '-', 'color', [0 .6 0], 'linewidth',1.5);
axis([-.2 xlims1(2) ylims1(1) ylims1(2)]);
view(90, -90)

print('Figure7b','-dtiff','-r300')

%% c)

% Figure parameters %
ms=7;
lw = 1.25;
fs = 14;

set(figure(3), 'Position',[1 1 410 365]);
scatter(HTP_50M_data(:,1), HTP_50M_data(:,2), 8, F1_50M,'filled');
colormap('jet');
hold all;
scatter(UTP_50M_data(:,1), UTP_50M_data(:,2), 8, F2_50M,'filled');
colormap('jet');

plot(r_ellipse_HTP_50M(:,2) + Y0_HTP_50M, r_ellipse_HTP_50M(:,1) + X0_HTP_50M, 'k-', 'LineWidth', 2);
plot(r_ellipse_UTP_50M(:,2) + Y0_UTP_50M, r_ellipse_UTP_50M(:,1) + X0_UTP_50M, 'r-', 'LineWidth', 2);
ylabel(['|Z|_{50 MHz}']);
xlabel(['\phiZ_{50 MHz}']);
title('(c)', 'FontWeight', 'bold')
set(gca,'FontSize',fs)
set(gca,'linewidth',lw)
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
box on

% Spline curve %
ylims1 = ylim(gca);
xlims1 = xlim(gca);
plot(eq_prob_50M_x, eq_prob_50M_y, '-', 'color', [0 .6 0], 'linewidth',1.5);
axis([-.7 .2 ylims1(1) ylims1(2)]);
view(90, -90);
colorbar;

print('Figure7c','-dtiff','-r300')