%%% FIGURE 8 %%%
clc;
close all;
clear all;

%Load data for figure
load('Figure8.mat')


%% a)

% Figure parameters %
ms=7;
lw = 1.25;
fs = 14;

set(figure(1), 'Position',[1 1 515 380]);
scatter(data_parvum(:,2), data_parvum(:,1), 8, F_parvum,'filled')
colormap('jet')
hold all
scatter(data_muris(:,2), data_muris(:,1), 8, F_muris,'filled')
colormap('jet')
scatter(data_giardia(:,2), data_giardia(:,1), 8, F_giardia,'filled')
colormap('jet')
colorbar;
plot(r_ellipse_parvum(:,2) + Y0_parvum, r_ellipse_parvum(:,1) + X0_parvum, 'r-', 'LineWidth', 2)
hold all
plot(r_ellipse_muris(:,2) + Y0_muris, r_ellipse_muris(:,1) + X0_muris, 'm-', 'LineWidth', 2)
plot(r_ellipse_giardia(:,2) + Y0_giardia, r_ellipse_giardia(:,1) + X0_giardia, '-', 'color', [1 .6 0.2], 'LineWidth', 2)
ylabel(['|Z|_{250 kHz}']);
xlabel(['\phiZ_{18.3 MHz}']);
box on
title('(a)', 'FontWeight', 'bold')
set(gca,'FontSize',fs)
set(gca,'linewidth',lw)
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';

% Spline curve %
ylims2 = ylim(gca);
xlims2 = xlim(gca);
plot(eq_prob_giardia_muris_x, eq_prob_giardia_muris_y, '-', 'color', [0 .6 0], 'linewidth', 1.5);
plot(eq_prob_muris_parvum_x, eq_prob_muris_parvum_y, '-', 'color', [0 .6 0], 'linewidth', 1.5);
axis([-.45 0 0 3.5]);
view(90, -90)

print('Figure8a','-dtiff','-r300')

%% b)

% Figure parameters %
ms = 7;
lw = 1.25;
fs = 14;

set(figure(2), 'Position',[1 1 400 365]);
plot(FSC_parvum, SSC_parvum, 'o', 'Color', [0 0 0.5], 'MarkerSize', ms, 'linewidth', lw);
hold all
plot(FSC_muris, SSC_muris, 's', 'Color', [0 0.5 0.8], 'MarkerSize' ,ms, 'linewidth', lw);
plot(FSC_giardia, SSC_giardia, 'd', 'Color', [0 0.8 1], 'MarkerSize', ms, 'linewidth', lw)
xlabel('FSC Area (\it{a.u.}\rm)')
ylabel('SSC Area (\it{a.u.}\rm)')
title('(b)', 'FontWeight', 'bold')
h_leg=legend('\it{C. parvum}\rm','\it{C. muris}\rm','\it{G. lamblia}\rm')
set(h_leg,'fontsize',11)
set(gca,'FontSize',fs)
set(gca,'linewidth',lw)
ax = gca;
ax.YColor = 'k';
ax.XColor = 'k';
ylim([0 7*1e5])
xlim([0 4*1e6])
box on

print('Figure8b','-dtiff','-r300')